Subject: bug#2282: Bug#2282: rmail-summary splits frame into three parts

From: Juri Linkov <[email-masked]>
Date: Tue, 10 Nov 2009 09:48:46 +0200

> The behaviour described in the original report happens if you make the
> Emacs frame wider than `split-width-threshold'. Setting that variable
> to nil will prevent it.
>
> I don't know what to do about this. There are lots of pop-to-buffers
> in rmailsum.el, and any of them could cause such behaviour.
>
> See the confusion in bug#1806.

With the current CVS after `M-x rmail-summary' I see

+---------------+---------------+
|               |               |
| RMAIL-summary |     RMAIL     |
|               |               |
+---------------+---------------+
|                               |
|         RMAIL-summary         |
|                               |
+-------------------------------+

I think for RMAIL both following layouts make equal sense
on a wide frame:

+---------------+---------------+
|               |               |
| RMAIL-summary |     RMAIL     |
|               |               |
|               |               |
|               |               |
|               |               |
|               |               |
+---------------+---------------+

and

+-------------------------------+
|                               |
|        RMAIL-summary          |
|                               |
+-------------------------------+
|                               |
|            RMAIL              |
|                               |
+-------------------------------+

The question is what options are necessary to be able to configure RMAIL
window layouts?  Maybe like `gnus-buffer-configuration' in Gnus?

-- 
Juri Linkov
http://www.jurta.org/emacs/